- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_endpoint_control_settings – Configure endpoint control settings in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify endpoint_control feature and settings category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
endpoint_control_settings dictionary | Default: null | Configure endpoint control settings.
| download_custom_link string |  | Customized URL for downloading FortiClient.
| download_location string | Choices: fortiguard custom | FortiClient download location (FortiGuard or custom).
| forticlient_avdb_update_interval integer |  | Period of time between FortiClient AntiVirus database updates (0 - 24 hours).
| forticlient_dereg_unsupported_client string | Choices: enable disable | Enable/disable deregistering unsupported FortiClient endpoints.
| forticlient_ems_rest_api_call_timeout integer |  | FortiClient EMS call timeout in milliseconds (500 - 30000 milliseconds).
| forticlient_keepalive_interval integer |  | Interval between two KeepAlive messages from FortiClient (20 - 300 sec).
| forticlient_offline_grace string | Choices: enable disable | Enable/disable grace period for offline registered clients.
| forticlient_offline_grace_interval integer |  | Grace period for offline registered FortiClient (60 - 600 sec).
| forticlient_reg_key string |  | FortiClient registration key.
| forticlient_reg_key_enforce string | Choices: enable disable | Enable/disable requiring or enforcing FortiClient registration keys.
| forticlient_reg_timeout integer |  | FortiClient registration license timeout (days, min = 1, max = 180, 0 means unlimited).
| forticlient_sys_update_interval integer |  | Interval between two system update messages from FortiClient (30 - 1440 min).
| forticlient_user_avatar string | Choices: enable disable | Enable/disable uploading FortiClient user avatars.
| forticlient_warning_interval integer |  | Period of time between FortiClient portal warnings (0 - 24 hours).
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean added in 2.9 | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure endpoint control settings.
        fortios_endpoint_control_settings:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          endpoint_control_settings:
            download_custom_link: "<your_own_value>"
            download_location: "fortiguard"
            forticlient_avdb_update_interval: "5"
            forticlient_dereg_unsupported_client: "enable"
            forticlient_ems_rest_api_call_timeout: "7"
            forticlient_keepalive_interval: "8"
            forticlient_offline_grace: "enable"
            forticlient_offline_grace_interval: "10"
            forticlient_reg_key: "<your_own_value>"
            forticlient_reg_key_enforce: "enable"
            forticlient_reg_timeout: "13"
            forticlient_sys_update_interval: "14"
            forticlient_user_avatar: "enable"
            forticlient_warning_interval: "16"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.